NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Drawings.OrderManager Class Reference

Represents an object that manages orders. More...

Inheritance diagram for NXOpen.Drawings.OrderManager:
NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void ApplyOrder (NXOpen.Sketch parentObject, string orderName)
 Applies the order matching the specified name More...
 
unsafe void CreateNewOrder (NXOpen.Sketch parentObject, string newOrderName, NXOpen.Layout2d.Component[] objectsInOrder)
 Creates an order of the 2D Components provided in the list More...
 
unsafe void DeleteOrder (NXOpen.Sketch parentObject, string newOrderName)
 Delete the order matching the specified name More...
 
unsafe void GetAvailableOrdersNames (NXOpen.Sketch parentObject, out string[] ordersNames)
 Gets all available orders names for specified sketch parent More...
 
unsafe string GetCurrentOrderName (NXOpen.Sketch parentObject)
 Gets the current applied order name More...
 
unsafe bool IsSystemOrder (NXOpen.Sketch parentObject, string orderName)
 Validates the order matching the specified name is system order More...
 
unsafe void RenameOrder (NXOpen.Sketch parentObject, string orderName, string newOrderName)
 Renames the order matching the specified name with the new name provided More...
 
unsafe void Reorder (NXOpen.Sketch parentObject, NXOpen.Layout2d.Component[] objectsInOrder)
 Updates the current order based on the provided list of 2D components if the order is user-defined, and creates a new order otherwide More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.Utilities.NXRemotableObject
void initialize ()
 <exclude> More...
 

Detailed Description

Represents an object that manages orders.

An order represents the way 2D components are presented in the sketch node in the part navigator. There are two types of orders, system and user-defined. System orders cannot be modified.

To obtain an instance of this class, refer to NXOpen.Layout2d.ComponentCollection

Created in NX11.0.0

Member Function Documentation

unsafe void NXOpen.Drawings.OrderManager.ApplyOrder ( NXOpen.Sketch  parentObject,
string  orderName 
)
inline

Applies the order matching the specified name

Created in NX11.0.0

License requirements: nx_layout ("NX Layout")

Parameters
parentObject
orderName
unsafe void NXOpen.Drawings.OrderManager.CreateNewOrder ( NXOpen.Sketch  parentObject,
string  newOrderName,
NXOpen.Layout2d.Component[]  objectsInOrder 
)
inline

Creates an order of the 2D Components provided in the list

Created in NX11.0.0

License requirements: nx_layout ("NX Layout")

Parameters
parentObject
newOrderName
objectsInOrderArray of objects to be reordered
unsafe void NXOpen.Drawings.OrderManager.DeleteOrder ( NXOpen.Sketch  parentObject,
string  newOrderName 
)
inline

Delete the order matching the specified name

Created in NX11.0.0

License requirements: nx_layout ("NX Layout")

Parameters
parentObject
newOrderName
unsafe void NXOpen.Drawings.OrderManager.GetAvailableOrdersNames ( NXOpen.Sketch  parentObject,
out string[]  ordersNames 
)
inline

Gets all available orders names for specified sketch parent

Created in NX11.0.0

License requirements: nx_layout ("NX Layout")

Parameters
parentObject
ordersNames
unsafe string NXOpen.Drawings.OrderManager.GetCurrentOrderName ( NXOpen.Sketch  parentObject)
inline

Gets the current applied order name

Created in NX11.0.0

License requirements: nx_layout ("NX Layout")

Parameters
parentObject
Returns
unsafe bool NXOpen.Drawings.OrderManager.IsSystemOrder ( NXOpen.Sketch  parentObject,
string  orderName 
)
inline

Validates the order matching the specified name is system order

Created in NX11.0.0

License requirements: nx_layout ("NX Layout")

Parameters
parentObject
orderName
Returns
unsafe void NXOpen.Drawings.OrderManager.RenameOrder ( NXOpen.Sketch  parentObject,
string  orderName,
string  newOrderName 
)
inline

Renames the order matching the specified name with the new name provided

Created in NX11.0.0

License requirements: nx_layout ("NX Layout")

Parameters
parentObject
orderName
newOrderName
unsafe void NXOpen.Drawings.OrderManager.Reorder ( NXOpen.Sketch  parentObject,
NXOpen.Layout2d.Component[]  objectsInOrder 
)
inline

Updates the current order based on the provided list of 2D components if the order is user-defined, and creates a new order otherwide

Created in NX11.0.0

License requirements: nx_layout ("NX Layout")

Parameters
parentObject
objectsInOrderArray of objects to be reordered

Property Documentation

Tag NXOpen.Drawings.OrderManager.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.